import { createContext, useContext } from 'react';
import { useMachine } from '@xstate/react';
import { SelectMachine } from '../machine';
var typehack = function typehack() {
  return useMachine(SelectMachine);
};
export var PseudoComponentWithPropsConsistingOfContext = function PseudoComponentWithPropsConsistingOfContext() {
  return null;
};
export var SelectStateContext = createContext(undefined);
export var useSelectMachineFromContext = function useSelectMachineFromContext() {
  return useContext(SelectStateContext);
};